=== test/eea_module/Makefile ===
# Makefile for spmodel library

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

all: clean

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

test:	eea_test_transform.out eea_test_derivative.out \
	eea_test_jacobian.out eea_test_jacobianZ.out \
	eea_test_intavr.out eea_test_spectrum.out \
	eea_test_interpolate.out
	./eea_test_transform.out 
	./eea_test_derivative.out 
	./eea_test_jacobian.out
	./eea_test_jacobianZ.out
	./eea_test_intavr.out
	./eea_test_spectrum.out
	./eea_test_interpolate.out

.SUFFIXES: .f90 .out

.f90.out:
	$(FC) -I../../src  $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)
