=== test/tee_module_fftj/Makefile ===
# Makefile for spmodel library

include ../../Config.mk

SPMFRT=$(DEST_BIN)/spmfrt

all: clean

clean:
	-rm -f $(MODS) *.o work.pc* *~ *.bak *.out *.nc

test:	tee_module_fftj_base_test.out \
	tee_module_fftj_deriv_test.out \
	tee_module_fftj_integral_test.out \
	tee_module_fftj_interpolate_test.out \
	tee_module_fftj_torpol_test.out  \
	tee_module_fftj_spectrum_test.out \
	tee_module_fftj_BoundariesTau_test.out  \
	tee_module_fftj_BoundariesGrid_test.out \
	tee_module_fftj_TorvelbcTau_test.out  \
	tee_module_fftj_TorvelbcGrid_test.out \
	tee_module_fftj_PolvelbcGrid_test.out \
	tee_module_fftj_PolvelbcCheb_test.out \
	tee_module_fftj_TormagbcTau_test.out  \
	tee_module_fftj_TormagbcGrid_test.out \
	tee_module_fftj_PolmagbcTau_test.out  \
	tee_module_fftj_PolmagbcGrid_test.out
	./tee_module_fftj_base_test.out
	./tee_module_fftj_deriv_test.out
	./tee_module_fftj_integral_test.out
	./tee_module_fftj_interpolate_test.out
	./tee_module_fftj_torpol_test.out
	./tee_module_fftj_spectrum_test.out
	./tee_module_fftj_BoundariesTau_test.out
	./tee_module_fftj_BoundariesGrid_test.out
	./tee_module_fftj_TorvelbcTau_test.out
	./tee_module_fftj_TorvelbcGrid_test.out
	./tee_module_fftj_PolvelbcGrid_test.out
	./tee_module_fftj_PolvelbcCheb_test.out
	./tee_module_fftj_TormagbcTau_test.out
	./tee_module_fftj_TormagbcGrid_test.out
	./tee_module_fftj_PolmagbcTau_test.out
	./tee_module_fftj_PolmagbcGrid_test.out

.SUFFIXES: .f90 .out

.f90.out:
	$(FC) -I../../src  $(FFLAGS) $(SYSFFLAGS) -o $@ $< -L../../src -l$(LIBNAME) $(SYSLDFLAGS) $(SYSLDLIBS)
