=== debian/changelog ===
spml (0.7.1-3) unstable; urgency=low

  * Fix pre-build.sh, {pre,post}inst script generator

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 28 Nov 2012 23:44:14 +0900

spml (0.7.1-2) unstable; urgency=low

  * Apply SVN HEAD rev.549

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 28 Nov 2012 18:54:22 +0900

spml (0.7.1-1) unstable; urgency=low

  * Initial create

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 26 Nov 2012 18:51:14 +0900
