=== debian/control ===
Source: spml
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 9.0~), 
  autotools-dev, mpi-default-dev, mpi-default-bin, libnetcdf-dev, gtool5, libispack-dev, liblapack-dev, ruby1.8, rdtool, gfortran
Standards-Version: 3.9.3
Homepage: http://www.gfd-dennou.org/arch/spmodel

Package: spml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gtool5, ispack, mpi-default-bin, liblapack-dev, libnetcdf-dev
Description: Fortran90 module library for solveing fundamental GFD problems
 SPML (a SPectral Model Library) is a Fortran90 module library for
 constructing spectral models for fundamental geophysical fluid
 dynamic problems. Fortran90 modules of this library are based on
 ISPACK (http://www.gfd-dennou.org/arch/ispack), which is also library
 for spectral models but written in Fortran77. 
 .
