## spml 0.8.0

=== doc/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/spml
pkgincludedir = $(includedir)/spml
pkglibdir = $(libdir)/spml
pkglibexecdir = $(libexecdir)/spml
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/dc_arg_with.m4 \
	$(top_srcdir)/m4/dc_fortran_check.m4 \
	$(top_srcdir)/m4/dc_fortran_module_flag.m4 \
	$(top_srcdir)/m4/dc_fortran_module_type.m4 \
	$(top_srcdir)/m4/dc_set_libdir_libname.m4 \
	$(top_srcdir)/m4/dc_set_moddir.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run aclocal-1.11
AMTAR = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run autoconf
AUTOHEADER = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run autoheader
AUTOMAKE = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CUDA = no
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"spml\" -DPACKAGE_TARNAME=\"spml\" -DPACKAGE_VERSION=\"0.8.0\" -DPACKAGE_STRING=\"spml\ 0.8.0\" -DPACKAGE_BUGREPORT=\"dcstaff@gfd-dennou.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"spml\" -DVERSION=\"0.8.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
DVIPDFMX = dvipdfmx
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EIGMATRIXLIB = LAPACK
EXEEXT = 
F90MODTYPE = std.mod
FC = mpif90
FCFLAGS = -I/usr/lib/gtool5/include -I/usr/include -g -O2
FCFLAGS_f90 = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -L/usr/lib/gtool5/lib -L/usr/lib -L/usr/lib -L/usr/lib
LIBOBJS = 
LIBS = -lgtool5 -lnetcdf -lispack  -llapack
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LUMATRIXLIB = OMP
MAKEINFO = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MODEXT = .mod
MODPATHFLAG = -I
MPIEXEC = no
MPIEXECOPTS = 
MPIFC = mpif90
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = spml
PACKAGE_BUGREPORT = dcstaff@gfd-dennou.org
PACKAGE_NAME = spml
PACKAGE_STRING = spml 0.8.0
PACKAGE_TARNAME = spml
PACKAGE_URL = 
PACKAGE_VERSION = 0.8.0
PATH_SEPARATOR = :
PLATEX = platex
RANLIB = ranlib
RD2 = rd2
RDOCF95 = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SPMLLIBNAME = spml-lapack-omp
STRIP = strip
VERSION = 0.8.0
W3M = w3m
abs_builddir = /GFD_Dennou_Club/ftp/arch/spmodel/spml/doc
abs_srcdir = /GFD_Dennou_Club/ftp/arch/spmodel/spml/doc
abs_top_builddir = /GFD_Dennou_Club/ftp/arch/spmodel/spml
abs_top_srcdir = /GFD_Dennou_Club/ftp/arch/spmodel/spml
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
ac_ct_FC = 
ac_cv_dvipdfmx = dvipdfmx
ac_cv_platex = platex
ac_cv_rd2 = rd2
ac_cv_rdoc_f95 = no
ac_cv_w3m = w3m
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /GFD_Dennou_Club/ftp/arch/spmodel/spml/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local/spmodel
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
RDOC = 
RDOCOPTS = --ignore-case --charset euc-jp  \
	--inline-source --op html/ \
	--title "SPML References Manual" -U

F90FILES = libsrc/**/*.f90 doc/*.rdoc
MAINPAGE = doc/spml_modules.rdoc
RD2OPTS = -r rd/rd2html-ext-lib --ref-extension --with-part=HTML:html \
	--native-inline --out-code=utf8
RD2OPTS_JA = $(RD2OPS) --with-part=JA:rd
W3MOPTSJA = -T text/html -I u -O u -cols 72 -dump
RD2OPTS_EN = $(RD2OPS) --with-part=EN:rd
W3MOPTSEN = -T text/html -I u -O N -cols 72 -dump
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am: pdf-local

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am pdf-local ps ps-am uninstall \
	uninstall-am


update: pdf-local doc-local reference

reference: $(srcdir)/../html/reference_manual/index.html
$(srcdir)/../html/reference_manual/index.html:
	( cd $(srcdir)/../ && $(RDOC) $(RDOCOPTS) --main $(MAINPAGE) $(F90FILES) )

doc-local: \
	$(srcdir)/../INSTALL \
	$(srcdir)/../INSTALL.ja \
	$(srcdir)/../README \
	$(srcdir)/../README.ja

$(srcdir)/../INSTALL: INSTALL.rd
	$(RD2) $(RD2OPTS_EN) $< | $(W3M) $(W3MOPTSEN) > $@
$(srcdir)/../INSTALL.ja: INSTALL.rd
	$(RD2) $(RD2OPTS_JA) $< | $(W3M) $(W3MOPTSJA) > $@
$(srcdir)/../README: README.rd
	$(RD2) $(RD2OPTS_EN) $< | $(W3M) $(W3MOPTSEN) > $@
$(srcdir)/../README.ja: README.rd
