=== debian/changelog ===
spml (0.8.0-7+0~20170313064547.7~1.gbp63a368) unstable; urgency=medium

  ** SNAPSHOT build @63a3685ef2e9442cad13297f80281030e6cfc735 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Mon, 13 Mar 2017 15:45:49 +0900

spml (0.8.0-7) unstable; urgency=medium

  * Bump compat, standard-versioin
  * Fix dep5 uri
  * Remove debug-prefix

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 13 Mar 2017 15:44:50 +0900

spml (0.8.0-6) unstable; urgency=medium

  * Add Depends: libnetcdff-dev

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 28 Feb 2017 19:42:32 +0900

spml (0.8.0-5) unstable; urgency=medium

  * Fix Build-Depends: add libnetcdff-dev

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 28 Feb 2017 00:11:49 +0900

spml (0.8.0-4) unstable; urgency=medium

  * Fix location of netcdf libraries

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 28 Feb 2017 00:06:19 +0900

spml (0.8.0-3) unstable; urgency=medium

  * Fix libname of gtool5 MPI ver.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 25 Sep 2015 17:10:06 +0900

spml (0.8.0-2) unstable; urgency=medium

  * Fix mpispmconfig broken link

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 24 Feb 2014 23:56:19 +0900

spml (0.8.0-1) unstable; urgency=medium

  * Imported Upstream version 0.8.0
  * Add debian/watch
  * Delete automake generated files
  * Bump Standard Version: 3.9.5
  * Update Build-Depends: use dh instead of CDBS
  * Drop unused files (old format)
  * Update patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 07 Feb 2014 19:43:02 +0900
