=== debian/control ===
Source: spml
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 10.0~), dpkg-dev (>= 1.16.1~), dh-autoreconf,
  mpi-default-dev, mpi-default-bin, gfortran,
  libnetcdf-dev, libnetcdff-dev, gtool5, libispack-dev, liblapack-dev, ruby, rdtool
Standards-Version: 3.9.8
Homepage: http://www.gfd-dennou.org/arch/spmodel

Package: spml
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Conflicts: spml-g95
Depends: ${shlibs:Depends}, ${misc:Depends},
 gfortran, mpi-default-dev, mpi-default-bin,
 libnetcdf-dev, libnetcdff-dev, gtool5, libispack-dev, liblapack-dev
Description: Fortran90 module library for solveing fundamental GFD problems
 SPML (a SPectral Model Library) is a Fortran90 module library for
 constructing spectral models for fundamental geophysical fluid
 dynamic problems. Fortran90 modules of this library are based on
 ISPACK (http://www.gfd-dennou.org/arch/ispack), which is also library
 for spectral models but written in Fortran77.
 .
 This package provides whole librares and wrapper shell scripts.

Package: spml-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Breaks: spml ( <= 0.7~ )
Depends: ${misc:Depends}
Description: Documents and Code references of SPML Library
 SPML (a SPectral Model Library) is a Fortran90 module library for
 constructing spectral models for fundamental geophysical fluid
 dynamic problems. Fortran90 modules of this library are based on
 ISPACK (http://www.gfd-dennou.org/arch/ispack), which is also library
 for spectral models but written in Fortran77.
 .
 This package provides documents and code references.
